Bug 325051 - policy disallowing writes to pipe (rpm_t)
policy disallowing writes to pipe (rpm_t)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-09 11:32 EDT by Jeremy Katz
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 18:57:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-10-09 11:32:16 EDT
avc: denied { write } for comm=setsebool dev=pipefs path=pipe:[30647] pid=11853
scontext=system_u:system_r:setsebool_t:s0 tclass=fifo_file
tcontext=system_u:system_r:rpm_t:s0 

We're using a pipe to record the output from scriptlets in yum these days, so
this should probably be allowed.
Comment 1 Daniel Walsh 2007-10-09 15:56:27 EDT
Fixed in  selinux-policy-3.0.8-19
Comment 2 Will Woods 2007-10-19 18:57:20 EDT
Confirmed - rawhide seems not to do this anymore. 

Note You need to log in before you can comment on or make changes to this bug.